## org.egothor.stemmer
Class Optimizer2

    java.lang.Object
      org.egothor.stemmer.Reduce
          org.egothor.stemmer.Optimizer
              org.egothor.stemmer.Optimizer2

    public class Optimizer2

extends Optimizer

The Optimizer class is a Trie that will be reduced (have empty rows removed).

This is the result of allowing a joining of rows when there is no collision between non-`null` values in the rows. Information loss, resulting in the stemmer not being able to recognize words (as in Optimizer), is curtailed, allowing the stemmer to recognize words for which the original trie was built. Use of this class allows the stemmer to be self-teaching.

Constructor Summary
`Optimizer2()` Constructor for the Optimizer2 object.

Method Summary
`org.egothor.stemmer.Cell` `merge(org.egothor.stemmer.Cell m, org.egothor.stemmer.Cell e)` Merge the given Cells and return the resulting Cell.

Methods inherited from class org.egothor.stemmer.Optimizer
`merge, optimize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Optimizer2

    public Optimizer2()

  Constructor for the Optimizer2 object.

Method Detail

### merge

    public org.egothor.stemmer.Cell merge(org.egothor.stemmer.Cell m,
                                          org.egothor.stemmer.Cell e)

  Merge the given Cells and return the resulting Cell.

  Overrides:
    `merge` in class `Optimizer`
  Parameters:
    `m` - the master Cell
    `e` - the existing Cell
  Returns:
    the resulting Cell, or `null` if the operation cannot be realized

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.